Bug 13625 - anacron "FAILED" on shutdown
anacron "FAILED" on shutdown
Product: Red Hat Linux
Classification: Retired
Component: anacron (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
: 14274 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2000-07-09 12:04 EDT by Gene Czarcinski
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-07-09 15:30:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gene Czarcinski 2000-07-09 12:04:58 EDT
Created a beta2 system with kde and gnome.  Booted the new system and
changed some configuration -- (vmware xserver) and /etc/inittab.  Rebooted
the system.

Brought up the new system and let it just "sit" for about ten minutes. 
When I rebooted the system again, a message during shutdown indicated that
anacron shutdown "FAILED".
Comment 1 Jay Freeman 2000-07-09 15:30:23 EDT
Considering anacron isn't a daemon and unless it is working on something that 
is taking a long time normally wouldn't be running during shutdown, it doesnt 
seem appropriate to show a [  FAILED  ] notice for stopping anacron.  Might as 
well leave it alone and let it get hit with all the other process as a 
TERM/KILL is sent.

Is it even a good idea to have anacron run at that point in the startup 
anyway?  A script placed in /etc/cron.* might require another service that 
isn't running, such as a database server, a web server, a news server, etc.  
Currently anacron is being started even before networking is up...
Comment 2 Bernhard Rosenkraenzer 2000-07-10 16:10:29 EDT
Fixed in 2.3-5.
It's treated like a daemon because we want it to be run at runlevel changes
(cron is not necessarily running in runlevel 1); someone messed up the ifs while
moving over to the new start() scheme.
Comment 3 Glen Foster 2000-07-19 10:06:12 EDT
*** Bug 14274 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.